HTS(1)

NAME
hts - httptunnel server

SYNOPSIS
hts [options] [port]

DESCRIPTION
This manual page briefly documents the hts command.

hts listens for incoming httptunnel connections at PORT (default port is 8888). When a connection is made, I/O is redirected to the destination specified by the --device or --forward-port switch.

OPTIONS
The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options are included below.

-h, --help
    Show summary of options.

-c, --content-length BYTES
    use HTTP PUT requests of BYTES size (k, M, and G postfixes recognized)

-d, --device DEVICE
    use DEVICE for input and output

-F, --forward-port HOST:PORT
    connect to PORT at HOST and use it for input and output

-k, --keep-alive SECONDS
    send keepalive bytes every SECONDS seconds (default is 5)

-M, --max-connection-age SEC
    maximum time a connection will stay open is SEC seconds (default is 300)

-S, --strict-content-length
    always write Content-Length bytes in requests

-V, --version
    output version information and exit

-p, --pid-file LOCATION
    write a PID file to LOCATION

AUTHOR
This manual page was contributed by Teemu Hukkanen <tjhukkan@iki.fi>, and was originally written for the Debian GNU/Linux system.